error on qiime dada2 denoise-paired

My version of qiime is qiime2-amplicon-2024.2
I used qiime dada2 denoise-paired
Please can you help me to solve this error
The message of error was
(qiime2-amplicon-2024.2) andre_pumi@LAPTOP-6MHGUOLG:/mnt/c/Users/ANDREA PUMISACHO/Desktop/tallerEM1-ej2$ qiime dada2 denoise-paired \

--i-demultiplexed-seqs paired-end-sequences.qza
--p-trim-left-f 6
--p-trim-left-r 6
--p-trunc-len-f 288
--p-trunc-len-r 279
--o-table table-dada2.qza
--o-representative-sequences rep-seqs-dada2.qza
--o-denoising-stats denoising-stats-dada2.qza --verbose
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada.R --input_directory /tmp/tmp0ii12tfh/forward --input_directory_reverse /tmp/tmp0ii12tfh/reverse --output_path /tmp/tmp0ii12tfh/output.tsv.biom --output_track /tmp/tmp0ii12tfh/track.tsv --filtered_directory /tmp/tmp0ii12tfh/filt_f --filtered_directory_reverse /tmp/tmp0ii12tfh/filt_r --truncation_length 288 --truncation_length_reverse 279 --trim_left 6 --trim_left_reverse 6 --max_expected_errors 2.0 --max_expected_errors_reverse 2.0 --truncation_quality_score 2 --min_overlap 12 --pooling_method independent --chimera_method consensus --min_parental_fold 1.0 --allow_one_off False --num_threads 1 --learn_min_reads 1000000

During startup - Warning messages:
1: In get(Info[i, 1], envir = env) : internal error -3 in R_decompress1
2: package ‘stats’ in options("defaultPackages") was not found
Error: package or namespace load failed for ‘optparse’ in get(Info[i, 1], envir = env):
lazy-load database '/home/andre_pumi/miniconda3/envs/qiime2-amplicon-2024.2/lib/R/library/stats/R/stats.rdb' is corrupt
In addition: Warning messages:
1: package ‘optparse’ was built under R version 4.2.3
2: In get(Info[i, 1], envir = env) : internal error -3 in R_decompress1
6: stop(msg, call. = FALSE, domain = NA)
5: value[3L]
4: tryCatchOne(expr, names, parentenv, handlers[[1L]])
3: tryCatchList(expr, classes, parentenv, handlers)
2: tryCatch({
attr(package, "LibPath") <- which.lib.loc
ns <- loadNamespace(package, lib.loc)
env <- attachNamespace(ns, pos = pos, deps, exclude, include.only)
}, error = function(e) {
P <- if (!is.null(cc <- conditionCall(e)))
paste(" in", deparse(cc)[1L])
else ""
msg <- gettextf("package or namespace load failed for %s%s:\n %s",
sQuote(package), P, conditionMessage(e))
if (logical.return && !quietly)
message(paste("Error:", msg), domain = NA)
else stop(msg, call. = FALSE, domain = NA)
})
1: library("optparse")
Traceback (most recent call last):
File "/home/andre_pumi/miniconda3/envs/qiime2-amplicon-2024.2/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 350, in denoise_paired
run_commands([cmd])
File "/home/andre_pumi/miniconda3/envs/qiime2-amplicon-2024.2/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 37, in run_commands
subprocess.run(cmd, check=True)
File "/home/andre_pumi/miniconda3/envs/qiime2-amplicon-2024.2/lib/python3.8/subprocess.py", line 516, in run
raise CalledProcessError(retcode, process.args,
subprocess.CalledProcessError: Command '['run_dada.R', '--input_directory', '/tmp/tmp0ii12tfh/forward', '--input_directory_reverse', '/tmp/tmp0ii12tfh/reverse', '--output_path', '/tmp/tmp0ii12tfh/output.tsv.biom', '--output_track', '/tmp/tmp0ii12tfh/track.tsv', '--filtered_directory', '/tmp/tmp0ii12tfh/filt_f', '--filtered_directory_reverse', '/tmp/tmp0ii12tfh/filt_r', '--truncation_length', '288', '--truncation_length_reverse', '279', '--trim_left', '6', '--trim_left_reverse', '6', '--max_expected_errors', '2.0', '--max_expected_errors_reverse', '2.0', '--truncation_quality_score', '2', '--min_overlap', '12', '--pooling_method', 'independent', '--chimera_method', 'consensus', '--min_parental_fold', '1.0', '--allow_one_off', 'False', '--num_threads', '1', '--learn_min_reads', '1000000']' returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/andre_pumi/miniconda3/envs/qiime2-amplicon-2024.2/lib/python3.8/site-packages/q2cli/commands.py", line 520, in call
results = self._execute_action(
File "/home/andre_pumi/miniconda3/envs/qiime2-amplicon-2024.2/lib/python3.8/site-packages/q2cli/commands.py", line 581, in _execute_action
results = action(**arguments)
File "", line 2, in denoise_paired
File "/home/andre_pumi/miniconda3/envs/qiime2-amplicon-2024.2/lib/python3.8/site-packages/qiime2/sdk/action.py", line 342, in bound_callable
outputs = self.callable_executor(
File "/home/andre_pumi/miniconda3/envs/qiime2-amplicon-2024.2/lib/python3.8/site-packages/qiime2/sdk/action.py", line 566, in callable_executor
output_views = self._callable(**view_args)
File "/home/andre_pumi/miniconda3/envs/qiime2-amplicon-2024.2/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 363, in denoise_paired
raise Exception("An error was encountered while running DADA2"
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

See above for debug info.

Hello @Andrea_Pumisacho,

It looks like some of the packages that dada2 needs are corrupt. Could you try reinstalling your qiime environment and running again?

2 Likes

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.